
// Base Adress des 8019 im aktuellen Mapping
#define     BASE8019        0x8380


// RTL8019AS Registers:
// Mapped on all pages
#define	 	CR		   		0x00
#define	 	RDMA_PORT		0x10		// remote DMA Port
#define	 	RESET_PORT		0x1F

//===============================================================

// Page 0 [R]
#define	 	CLDA0			0x01
#define	 	CLDA1			0x02
#define	 	BNRY			0x03
#define	 	TSR				0x04
#define	 	NCR				0x05
#define	 	FIFO			0x06
#define	 	ISR				0x07
#define	 	CRDA0			0x08
#define	 	CRDA1			0x09
#define	 	_8019ID0		0x0A 		// Not a standard NE2000 register
#define	 	_8019ID1		0x0B 		// Not a standard NE2000 register
#define	 	RSR				0x0C
#define	 	CNTR0			0x0D
#define	 	CNTR1			0x0E
#define	 	CNTR2			0x0F

// Page 0 [W]
#define	 	PSTART			0x01
#define	 	PSTOP			0x02
//#define	 	BNRY		0x03
#define	 	TPSR			0x04
#define	 	TBCR0			0x05
#define	 	TBCR1			0x06
//#define	 	ISR			0x07
#define	 	RSAR0			0x08
#define	 	RSAR1			0x09
#define	 	RBCR0			0x0A
#define	 	RBCR1			0x0B
#define	 	RCR				0x0C
#define	 	TCR				0x0D
#define	 	DCR				0x0E
#define	 	IMR				0x0F

//===============================================================

// Page 1 [R/W]
#define	 	PAR0			0x01
#define	 	PAR1			0x02
#define	 	PAR2			0x03
#define	 	PAR3			0x04
#define	 	PAR4			0x05
#define	 	PAR5			0x06
#define	 	CURR			0x07
#define	 	MAR0			0x08
#define	 	MAR1			0x09
#define	 	MAR2			0x0A
#define	 	MAR3			0x0B
#define	 	MAR4			0x0C
#define	 	MAR5			0x0D
#define	 	MAR6			0x0E
#define	 	MAR7			0x0F

//===============================================================

// Page 2 [R]

//#define	 	PSTART		0x01
//#define		PSTOP		0x02
//#define		TPSR		0x04
//#define		RCR			0x0C
//#define		TCR			0x0D
//#define		DCR			0x0E
//#define		IMR			0x0F

//===============================================================

// Page 3 [R] No standard NE2000 registers

#define	 	_9346CR			0x01
#define	 	BPAGE			0x02
#define	 	CONFIG0			0x03
#define	 	CONFIG1			0x04
#define	 	CONFIG2			0x05
#define	 	CONFIG3			0x06
#define	 	CSNSAV			0x08
#define	 	INTR			0x0B
#define	 	CONFIG4			0x0D

// Page 3 [W] No standard NE2000 registers

//#define   9346CR		  	0x01
//#define 	BPAGE			0x02
//#define 	CONFIG1			0x04
//#define 	CONFIG2			0x05
//#define 	CONFIG3			0x06
#define	 	TEST			0x07
#define	 	HLTCLK			0x09
#define	 	FMWP			0x0C

//===============================================================

// ISR flags

#define	 	ISR_RST			0x07
#define	 	ISR_RDC			0x06	// remote dma
#define	 	ISR_CNT			0x05
#define	 	ISR_OVW			0x04
#define	 	ISR_TXE			0x03
#define	 	ISR_RXE			0x02	// received with error
#define	 	ISR_PTX			0x01
#define	 	ISR_PRX			0x00	// received successful

//===============================================================

// RSR flags

#define	 	RSR_PRX			0x00


// NIC's interface to on board EEPROM
// add this values to get the file's value

#define     BASE			0x80

#define     CS		    	0x08
#define     SK				0x04
#define     DI				0x02
#define     DO				0x01


